sysGetStdHandle:
;--argpush 1,STD_INPUT_HANDLE
;--call [GetStdHandle]
;--mov eax,dword [fs:0x30] ;Get PEB from TEB
;--mov eax,dword [eax+0x10];Get PRTL_USER_PROCESS_PARAMETERS from PEB
;--mov eax,dword [eax+0x18];Get STD_INPUT_HANDLE
;--mov [pedi],eax  ;R/E BX => INPUT handle

argpush 1,STD_OUTPUT_HANDLE
call [GetStdHandle]
;--mov eax,dword [fs:0x30] ;Get PEB from TEB
;--mov eax,dword [eax+0x10];Get PRTL_USER_PROCESS_PARAMETERS from PEB
;--mov eax,dword [eax+0x1C];Get STD_OUTPUT_HANDLE
mov [pedi+psize],eax  ;R/E BX + 8/4 => OUTPUT handle
ret

;-------------

sysWriteConsole:
if used is32
  lea ecx,dword [pedi+psize*2]
else
  sub rsp,psize*6
  lea r9,qword [pedi+psize*2]
end if

argpush 5,0
if used is32
  push ecx
end if
argpush 3,peax
argpush 2,pedx
argpush 1,pdword [pedi+psize]
call [WriteFile]

if used is64
  add rsp,psize*6
end if
ret

;------

sysSetConsoleTitle:
argpush 1,peax
call [SetConsoleTitleA]
ret

macro sysExit
{common

}

macro sysExit code
{common
mov peax,code
push peax
call exitProcess
}

;------------------------------------------------------------------------------
;This function will exit the process
;param:
;    1:Exit code
;return: Thread Id
;-----------------------------------------------------------------------------
if used exitProcess
exitProcess:
  call denter
  MakeStack

  argpush 1,pdword [pebp+psize*2] ;exit code
  call [ExitProcess]
  in al,20h  ;This code should never be executed!!
end if